Landed
Public APIWidget
GET
/api/v1/widget/config

Authorization

publishableKey
AuthorizationBearer <token>

Workspace publishable key (wk_pub_...). You can also send X-Landed-Widget-Key instead of Authorization.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/widget/config"
{  "workspace": {    "slug": "string",    "name": "string",    "iconUrl": "http://example.com"  },  "widget": {    "enabled": true,    "allowAnonymous": true,    "fields": [      "text"    ],    "copy": {      "title": "string",      "placeholder": "string",      "submitLabel": "string",      "successMessage": "string"    },    "theme": {      "primaryColor": "string",      "mode": "light"    },    "placement": {      "position": "bottom-right",      "offset": {        "x": 0,        "y": 0      }    },    "corsOrigins": [      "string"    ]  },  "hours": {    "isOpen": true,    "outsideHours": {      "message": "string",      "expectation": "string"    }  }}
{  "error": "string"}
{  "error": "string"}